Subject: [PATCH 08/14] mfd: Add IRQ domain support for the AB8500

From: [email-masked] (Lee Jones)
Date: Wed, 20 Jun 2012 14:00:02 +0100

On 18/06/12 19:56, Mark Brown wrote:
> On Mon, Jun 18, 2012 at 11:20:03AM +0100, Russell King - ARM Linux wrote:
>
>>> +	int offset = data->irq;
>
>> Are you sure this is right?  I thought irq_data->irq was the Linux IRQ
>> number, irq_data->hwirq was the interrupt number inside the domain.

Thanks. Good catch. I have just sent a new patch-set to the mailing list 
where I have sent the fixed- up patch again.

> Yes, that's correct.  I'm surprised the code runs without crashing...

Oddly the code ran perfectly.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog